typedef enum {
  COM_OK,
  COM_KO,
  COM_allo,
  COM_bye,
  COM_start,
  COM_stop,
  COM_wrong_communication,
} service_name;

typedef enum {
  COM_Phrase,
  COM_Task,
  COM_Result,
  COM_Error,
  COM_Service,
} com_tag;

typedef struct {
  com_tag com_tag;
  size_t nvalues;
  union {
    TV_t *phrase_values;
    struct task {
      char *t_name;			/* XXX struct string ? */
      TV_t *t_values;
    } task;
    TV_t *result_values;
    TV_t *error_values;
    struct service {
      service_name srv_name;
      TV_t *srv_values;
    } svc;
  } vs;					/* as in 'values' */
} COM_t;

service_name service_name_of_string (char *name);
const char *string_of_service_name (service_name name);
