(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                  projet Estime, INRIA-Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 2007-2011 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: my_data.ml,v 1.4.2.1 2011-09-21 13:08:04 fclement Exp $ *)

open Config;;
open Rdec2;;

type subdomain = {
  bd : boundary;
  err : float * float
};;

(* Extraction functions *)

let get_bds v = Array.map (fun subd -> subd.bd) v
and get_errs v = Array.map (fun subd -> subd.err) v
;;

(* Insertion function *)

let set_bds bds v =
  Uarray.array_seti (fun i subd -> {subd with bd = bds.(i)}) v
;;
